//CGfxPostProcessBlitter - [2020-04-13 11:57:46]
#ifndef _CGFXPOSTPROCESSBLITTER_H_
#define _CGFXPOSTPROCESSBLITTER_H_

#include "CFTTTexture.h"

/*
00187FBC CGfxPostProcessBlitter::CGfxPostProcessBlitter()
00187FDC CGfxPostProcessBlitter::~CGfxPostProcessBlitter()
0018800C CGfxPostProcessBlitter::~CGfxPostProcessBlitter()

vptr_CGfxPostProcessBlitter
vptr_CGfxPostProcessBlitter_323188:
   CGfxPostProcessBlitter::~CGfxPostProcessBlitter()
   CGfxPostProcessBlitter::~CGfxPostProcessBlitter()
   GetPriority
   PostProcessBlit
*/

class CGfxPostProcessBlitter {
public:
  CGfxPostProcessBlitter();                             //00187FBC
  virtual ~CGfxPostProcessBlitter();                    //00187FDC 0018800C
  virtual int GetPriority() = 0;                        //0018BA58
  virtual void PostProcessBlit(CFTTTexture*, int) const =0;  //0018BA70

  CGfxPostProcessBlitter* pCGfxPostProcessBlitter_4;
};

//0045FD48
extern CGfxPostProcessBlitter* gpCGfxPostProcessBlitter_45FD48[2];

#endif  //_CGFXPOSTPROCESSBLITTER_H_